This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 583242 - [RFE] guestfish should print outputs in a suitable base (eg. octal for modes)
[RFE] guestfish should print outputs in a suitable base (eg. octal for modes)
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On: 582891
Blocks: 627832
  Show dependency treegraph
 
Reported: 2010-04-17 06:16 EDT by Richard W.M. Jones
Modified: 2010-08-27 01:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 582891
: 627832 (view as bug list)
Environment:
Last Closed: 2010-05-12 08:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-04-17 06:16:50 EDT
+++ This bug was initially created as a clone of Bug #582891 +++

Description of problem:
1. umask should return the current umask when called with no parameter, and should set the umask when it is called with a parameter. It can only return the previous umask but not the current umask. Or There should be a separate cmd to provide this feature(like " mount"/"mounts")

2. the return value should be more human readable.
The return value now is just calculate the oct bit value, which is very confused.
e.g. 
current return value is 18 for mode 022, instead of "022" or "0022"
022->000 010 010->2^1+2^4->18


Version-Release number of selected component (if applicable):
libguestfs-1.0.85-1.fc12.3.x86_64,  latest git version

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Note You need to log in before you can comment on or make changes to this bug.